Subject: Re: [PATCH net-next] net: phy: rename PHY_IGNORE_INTERRUPT to PHY_MAC_INTERRUPT

From: Russell King - ARM Linux admin <[email-masked]>
Date: Sun, 14 Feb 2021 20:43:06 +0000

On Sun, Feb 14, 2021 at 03:16:23PM +0100, Heiner Kallweit wrote:
> Some internal PHY's have their events like link change reported by the
> MAC interrupt. We have PHY_IGNORE_INTERRUPT to deal with this scenario.
> I'm not too happy with this name. We don't ignore interrupts, typically
> there is no interrupt exposed at a PHY level. So let's rename it to
> PHY_MAC_INTERRUPT. This is in line with phy_mac_interrupt(), which is
> called from the MAC interrupt handler to handle PHY events.
> 
> Signed-off-by: Heiner Kallweit <[email-masked]>

Reviewed-by: Russell King <[email-masked]>

Thanks.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!